Page MenuHome

Crash when starting a VR Session using SteamVR
Closed, ResolvedPublicTO DO

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce RTX 2070 SUPER/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 446.14

Operating system: Linux-5.3.0-61-generic-x86_64-with-debian-buster-sid 64 Bits
Graphics card: GeForce RTX 2070 SUPER/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 440.100

OpenXR Runtime: SteamVR beta Version 1.13.7 (1593046119) Built Jun 25, 2020 at 02:48
HMD: Valve Index

Blender Version
Broken: version: 2.90.0 Alpha, branch: master, commit date: 2020-06-25 11:54, hash: rB890336849071
Broken: version: 2.90.0 Alpha, branch: master, commit date: 2020-06-24 21:51, hash: rBec776f18ff70
Worked: version: 2.90.0 Alpha, branch: master, commit date: 2020-06-23 21:54, hash: rB49234c15e299

Addon Information
Name: VR Scene Inspection (0, 2, 0)
Author: Julian Eisel (Severin)

Short description of error
Blender crashes when trying to start a VR Session using SteamVR

Exact steps for others to reproduce the error

  • Start SteamVR
  • In Blender now start a VR Session using the VR Scene Inspection Addon

Notes
I get the crash on Linux and Windows.
In Windows I was able to get a glimpse of the following error message just before the crash:

Failed to submit Frame rendering start state.

Crash log for Windows is here:

Crash log for Linux is here:

Event Timeline

hey so with latest steamvr 0.13.8 and blender 2.90.alpha from june 28, the VR view works on (my) GNU-linux machine !

After reading this I tested again with the latest builds but I still only get crashes on Linux and Windows.
Using: SteamVR Version 1.13.8 (1593213074) Built Jun 27, 2020 at 01:11

so here it is working (apart form that stereo bug) with
Intel I7 and AMD RX5700XT
ubuntu 20.04
kernel 5.4.0-39-generic
Mesa 20.0.4
Blender 2.90.0-b21ba5e57974-linux_64 28 june 15:13
steamvr 0.13.8

I just cloned and made a debug build of blender and got some backtraces using gdb.
When I tried a few times I found that I actually got two different kinds of backtraces.
Each seems to be about as likely to occur as the other one:

@Julian Eisel (Severin) Please let me know if you think I can help with this in any other way (e.g. if you can't reproduce this issue).
(I tried to setup a configuration in VSCodium but I can't seem to step through the code. I can only break at breakpoints I inserted prior to launching blender somehow.)

Hello, I have the same error, actually I still have not been able to use my "HTC Vive pro eye" in any version of Blender with SteamVr.
When clicking on "Start VR Session" the error appears: "failed to submit frame rendering start state" and then Blender closes.
I do not know what I am missing or if it is a SteamVR error, and I have been following the threads of previous errors.
I have Windows 10 fully updated.
The last test was done with version: 2.90.0 Alpha, branch: master, commit date: 2020-07-21 22:05, hash: 607d745a79e0, type: Release
SteamVr Version 1.14.1 (1595017431) Compiled Jul 17 2020 at 22:23
my hardware:
Intel i7-4790K 4.00Ghz
32GB RAM
GeForce GTX 980 Ti, (NVIDIA 451.67 driver 4.5.0)

Julian Eisel (Severin) changed the subtype of this task from "Report" to "To Do".Aug 10 2020, 2:33 PM

Technically this is not a Blender bug I believe, but an issue with SteamVR. Will still leave this open as todo item, we should look into possible workarounds.

A few notes on my fix/workaround above.

We now use the DirectX backend again on Windows+SteamVR as the OpenGL compatibility doesn't seem to work. That means the problem on some GPUs where there's only a pink screen (see T76082) is still an issue for Blender with SteamVR.
Hopefully SteamVR's OpenGL compatibility gets improved soon so we can switch back to using that.

Also, I'm not too sure about the status on Linux yet. I heard there's a missing extension for NVidia drivers there, which is why the OpenGL compatibility won't work there. So for AMD cards it might work, but I haven't heard of anyone who could confirm that yet. (Our "VR room" with the Vive setup at the studio doesn't currently have a Linux machine, so I can't test this easily).

Lastly, the fix will be in 2.90, and likely in the next 2.83 LTS update.

@Julian Eisel (Severin)
Thank you very much!

I can confirm that it now works for me again on Windows in this configuration:
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: GeForce RTX 2070 SUPER/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 451.67
Blender version: 2.91.0 Alpha, branch: master, commit date: 2020-08-14 20:53, hash: rB199e3086706d
OpenXR Runtime: SteamVR beta Version 1.14.6 (1597111133) Built Aug 11, 2020 at 03:58
HMD: Valve Index

And it does not yet work on Linux in this configuration (knowing it's a Windows only workaround):
Operating system: Linux-5.4.0-42-generic-x86_64-with-debian-buster-sid 64 Bits
Graphics card: GeForce RTX 2070 SUPER/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 450.57
Blender version: 2.91.0 Alpha, branch: master, commit date: 2020-08-14 20:53, hash: rB199e3086706d
OpenXR Runtime: SteamVR beta Version 1.14.6 (1597111133) Built Aug 11, 2020 at 03:58
HMD: Valve Index

So for AMD cards it might work, but I haven't heard of anyone who could confirm that yet.

@Olm-e (Olm-e) reported it working for him with an AMD card. So you might be right about the driver:

so here it is working (apart form that stereo bug) with Intel I7 and AMD RX5700XT

Good to hear.

@Olm-e (Olm-e) the stereo bug should also be fixed with rBcb578ca1048d.

I can also confirm that it now works for me on Windows in this configuration:

  • Windows 10 Pro 64 Bits
  • Blender version: 2.91.0 Alpha, branch: master, commit date: 2020-08-15 17:06, hash: 2c61c3d733cf, type: Release - build date: 2020-08-15, 21:23:01
  • SteamVR Versión 1.14.6 (1597111133)

my hardware:
Intel i7-4790K 4.00Ghz
32GB RAM
Graphics card: GeForce GTX 980 Ti/PCIe/SSE2 NVIDIA Corporation - version 4.5.0 NVIDIA 451.67
HMD: Htc Vive Pro Eye

@Julian Eisel (Severin) : I can confirm it works for me on AMD RX 5700 XT (navi10) on Ubuntu 20.04 now including the previous stereo bug resolved on the last 2.91 release 5c78c16b1494 with SteamVR beta uptodate
\o/ thanks !

Neat! seems like trying to use the Valve Index doesn´t crash Blender anymore.

Hardware;

Valve Index
Nvidia GTX 1080TI  DRIVER 451.67
Windows 10 Pro 64 Bits
Blender version: 2.90.0 Beta, branch: master
2020-08-19 10:14, hash: 83c78529b9ef,
Branch: Master